/*
**  null_file_system.s
**  Copyright (C) 2007  NuukiaWorld
**
**  This program is free software: you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation, either version 3 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/*******************************************************/

/* Function returning always TFSERR_FLASHFULL
   Used for functions

int tfsinit(void);
int tfsclean(void);
int tfsadd(char *path, long bflags, void *src, int size);
int tfsmkdir(char *path, long bflags);
int tfsopen(char *path, long flagmode);
int tfsclose(int fd);
int tfsread(int fd, void *buf, int len);
int tfswrite(int fd, void *buf, int len);
int tfsbuflimit(int fd, unsigned limit);
int tfsflush(int fd);
long tfsseek(int fd, long offset, int whence);
long tfstell(int fd);
long tfsfdsize(int fd);
int tfseof(int fd);
int tfstruncate(int fd, long new_size);
int vtfsprintf(int fd, const char *format, va_list varlist);
int tfsprintf(int fd, const char *format, ...);
int tfscopy(char *from, char *to);
int tfsrename(char *oldname, char *newname);
int tfsipmod(char *path, void *buf, int offset, int size);
int tfsipclose(char *path);
int tfsfstat(char *path, TFILE *tfile_buf);
int tfsunlink(char *path);
int tfsattrs(char *path, long bflags);
int tfsdetail(char *path, TDETAIL *detail);
int tfsavail(TAVAIL *avail);
int tfschkname(char *name);
int tfsgetext(char *buf, char *name);
*/
	.global	nulltfs_tfserr_flashfull
nulltfs_tfserr_flashfull:
	mov	r0, #14   @ TFSERR_FLASHFULL=-14
	neg	r0, r0
	mov	pc, lr

/* Function returning always NULL (=FALSE)
   Used for functions

void *tfsfdpath(int fd);
void *tfsload(char *path) {
void *tfsfload(TFILE *fp);
TFILE *tfsstat(char *path) {
TFILE *tfsnext(TFILE *fp, char *directory) {
TFILE *tfsparent(TFILE *fp);
char *tfspath(TFILE *fp);
char *tfsuserpath(char *path);
bool tfsvalid(TFILE *file);
const nokstr_t *tfsgeterror(int rc) {
*/
	.global	nulltfs_null
/* Function returning always its argument
   Used for functions

int tfserror(int rc);
*/
	.global	nulltfs
nulltfs_null:
	mov	r0, #0
nulltfs:
	mov	pc, lr

